Межсайтовый скриптинг в Riverdark RSS Syndicator

Дата публикации:
28.09.2005
Всего просмотров:
1258
Опасность:
Низкая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: Riverdark RSS Syndicator 2.17

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость существует в сценарии 'rss.php' из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[target]/[board]/rss.php?forum=<script>
alert(document.cookie);</script>

http://[target]/[bo ard]/rss.php?topic=<script>
alert(document.cookie);</script>

URL производителей: www.riverdark.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Riverdark RSS Syndicator Input Validation Hole Permits Cross-Site Scripting Attacks

или введите имя

CAPTCHA